POST /api/v3/apiKey

Create a new API key

CreateApiKeyV3 Permissions: ApplicationSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

ApiKeyCreateRequest
Property Description Type
apiKeyDescription A description for the API key string
apiKeyName The name of the API key Required Must be between 0 and 60 characters string
Example Request Body application/json
{  "apiKeyDescription": "string",  "apiKeyName": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ApiKeyCreateResponse
Property Description Type
apiKey The API key. This value cannot be retrieved again after it is created. string
apiKeyDescription A description of the API key string
apiKeyId The identifier of the API key integer (int32)
apiKeyName The name of the API key string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The API key creation date string (date-time)
Example Response application/json
{  "apiKey": "string",  "apiKeyDescription": "string",  "apiKeyId": 1,  "apiKeyName": "string",  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30"
}